---
layout: post
title: Polyglot 1.8.0 - Community-Beiträge-Veröffentlichung
lang: de
---

Freuen Sie sich auf Jekyll-Polyglot 1.8.0, das einige Funktionsverbesserungen bietet und Beiträge und Dokumentationen der Community anerkennt!

## Sprachspezifische Permalinks

Eine neue Funktion besteht darin, Seiten sprachspezifische Permalinks zu geben und ihre Verknüpfung mit anderen relativen Seiten beizubehalten. Diese neue Funktion wurde erneut von antoniovazquezblanco verbessert **[antoniovazquezblanco](https://github.com/antoniovazquezblanco)**, ein wahrer Gentleman und Gelehrter.

## Sitemap-Generierung & Mehrsprachiges SEO

Diese Version erkennt außerdem die Qualität [sitemap.xml]({{ site.url }}/sitemap.xml) und [robots.txt]({{ site.url }}/robots.txt) solution provided by **[jerturowetz](https://github.com/jerturowetz)**. Diese Website demonstriert und nutzt jetzt mehr SEO-Leistung, indem sie diese Einstellungen verwendet, um von Suchmaschinen als statische Jekyll-Website gecrawlt werden zu können. Sehen Sie sich die Beispiel-Website-Dateien [hier](https://github.com/untra/polyglot/tree/master/site).

## jekyll :polyglot :post_write hook

Github-Benutzer **[obfusk](https://github.com/obfusk)** hat vor   [einigen Jahren PR](https://github.com/untra/polyglot/pull/142) einen winzigen Beitrag geleistet a:

Mit polyglot `:site, :post_write` diese Funktion wird einmal pro untergeordnetem Prozess ausgeführt:

```rb
Jekyll::Hooks.register :site, :post_write do |site|
  ...
end
```

Diese Version fügt einen benutzerdefinierten Hook `:post_write` hinzu, der genau einmal ausgeführt wird, nachdem alle Sprachen verarbeitet wurden (ob `parallel_localization` verwendet wird):

```rb
Jekyll::Hooks.register :polyglot, :post_write do |site|
  # Mach hier etwas Großartiges!
end
```

Diese Funktion ist hilfreich für komplexe statische Jekyll-Websites, die zusätzlich genutzt werden [jekyll hook plugins](https://jekyllrb.com/docs/plugins/hooks/).

Sie hat außerdem einen Fix für [zusätzliche Protokollierung bei Abstürzen von Sprach-Subprozessen](https://github.com/untra/polyglot/pull/145). Vielen Dank für diesen Beitrag!

## Lokalisierte Variablen und portugiesische Übersetzung

**[george-gca](https://github.com/george-gca)**  ist ein talentierter und großartiger Kerl, Er hat einen [ganzen Blogbeitrag beigesteuert](/2024/02/29/localized-variables/) zum Thema, wie man Rich Text aus Website-Daten am besten lokalisiert. Er hat außerdem die [Brasilianische Portugiesisch Website-Übersetzung](https://polyglot.untra.io/pt-BR/). 

